[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CreateControlBorderSpacing

Creates the default BorderSpacing object instance for the class.

## Declaration

Source position: controls.pp line 1368

`protected function TControl.CreateControlBorderSpacing: TControlBorderSpacing; virtual;`

## Function result

The class instance created in the method.

## Description

Allocates the class instance used for the BorderSpacing property. Can be overridden in descendent controls to use the type or default values needed for the class instance.

## See also

TControlBorderSpacing |  | Describes the (minimum) spacing around a control.
TControl.BorderSpacing |  | Determines the inner and outer border spacing for this control.